class "BasePoke" {
	hp=100,orig=100,name="Base",user=true,enemy=false,level=1,attack1='fap',attack2='fap',attack3='fap',attack4='fap',pic='vagikarp.png',bpic='vagikarpb.png',y=0,n=0,points=0,lvlpoints=100
}
function BasePoke:__init(hp,orig,name,user,enemy,level,attack1,attack2,attack3,attack4,pic,bpic,y,n)--Sets how you would name a custom pokemon
	self.hp=hp
	self.name=name
	self.user=user
	self.enemy=enemy
	self.level=level
	self.attack1=attack1
	self.attack2=attack2
	self.attack3=attack3
	self.attack4=attack4
	self.pic=pic
	self.orig=orig
	self.bpic=bpic
	self.y=y
	self.n=n
end
function BasePoke:draw()--Draws Vagikarp.  For creating custom pokemon, follow Vagikarp's lead.
	local e=love.filesystem.exists(self.pic)
	local a=love.filesystem.exists(self.bpic)
	if gamestate=='menu' then
		love.graphics.print('level:'..self.level,font:getWidth(self.name)+6,self.y)
		if self.user==true then
			love.graphics.print('*',font:getWidth(self.name)+font:getWidth('level:'..self.level)+5,self.y)
		end
		if self.enemy==true then
			love.graphics.print('+',font:getWidth(self.name)+font:getWidth('level:'..self.level)+5,self.y)
		end
		if self.n==pokeselect then
			love.graphics.print('['..self.name..']',0,self.y)
		else
			love.graphics.print(self.name,0,self.y)
		end
	end
	if gamestate=='fight' then
		if self.user==true then
			love.graphics.print(self.name,80,120)
			if a then
				love.graphics.draw(love.graphics.newImage(self.bpic),0,120)
			else
				love.graphics.draw(love.graphics.newImage('vagikarpb.png'),0,120)
			end
			love.graphics.rectangle('fill',90,134,self.hp*.5,4)
			love.graphics.print('lvl:'..self.level,85+(font:getWidth(self.name)),120)
		end
		if self.enemy==true then
			love.graphics.print(self.name,80,0)
			if e then
				love.graphics.draw(love.graphics.newImage(self.pic),100,22)
			else
				love.graphics.draw(love.graphics.newImage('vagikarp.png'),100,22)
			end
			love.graphics.rectangle('fill',90,14,self.hp*.5,4)
			love.graphics.print('lvl:'..self.level,85+(font:getWidth(self.name)),0)
		end
	end
end
function BasePoke:clear()
	userselected=false
	enemyselected=false
	self.user=false
	self.enemy=false
	self.hp=self.orig
end	
function BasePoke:fight()
	if runtry==true then--Makes it so if you run, you can select again.
		self:clear()
	end
	if gamestate=='menu' then
		if self.n==pokeselect then--selection!
			if userselect==true and self.enemy==false then
				self.user=true
				userselect=false
			end
			if enemyselect==true and self.user==false then
				self.enemy=true
				enemyselect=false
			end
		end
	end
	if fight==true then--This fight system is a lil messy.  Lemme explain.
		if self.user==true then
		user.attackname[1]=self.attack1--This means that the player's attack=pokemon's attack
		user.attackname[2]=self.attack2
		user.attackname[3]=self.attack3
		user.attackname[4]=self.attack4
			if self.level<=6 and self.level>2 then
				user.attack[n]=user.attack[n]*self.level/3
			else
				if self.level>6 then
					user.attack[n]=user.attack[n]*2
				else
					user.attack[n]=user.attack[n]
				end
			end
			if enemy.attacking==true then 
				self.hp=self.hp-enemy.attack[n]--Where the damage is inflicted.  The rest is in battle.lua
			end
		end
		if self.enemy==true then
			enemy.attackname[1]=self.attack1--sets attacks
			enemy.attackname[2]=self.attack2
			enemy.attackname[3]=self.attack3
			enemy.attackname[4]=self.attack4
			if self.level<=6 and self.level>2 then--oohhh multiplying attacks
				enemy.attack[n]=enemy.attack[n]*self.level/3
			else
				if self.level>6 then
					enemy.attack[n]=enemy.attack[n]*2
				else
					enemy.attack[n]=enemy.attack[n]--if level isn't high enough, then attack=normal attack
				end
			end
			if user.attacking==true then--duh.
				self.hp=self.hp-user.attack[q]
			end
		end
	end
	self:levelup()
	if self.hp<=0 then
		self:faint()
	end
end
function BasePoke:levelup()--LEVELUP'
	if self.user==true and user.win==true and enemy.lose==true or self.enemy==true and enemy.win==true and user.lose==true then--really big shit right here
		if self.level<=6 and self.level>2 then
			self.hp=self.orig*self.level/3
		else
			if self.level>6 then
				self.hp=self.orig*2
			else
				self.hp=self.orig
			end
		end
		self.level=self.level+1
		fight=false
	end
end
function BasePoke:faint()--Self explanatory.
	self.hp=self.orig
	if self.user==true then
		user.lose=true
	end
	if self.user==false then
		user.win=true
	end
end
--shit load  of shit
Luna=BasePoke:new(100,100,"Princess Luna",false,false,1,"permabanned","slap",'fap','bitch',"luna.png","lunab.png",182,14)
Rainbow=BasePoke:new(100,100,"Rainbow Dash",false,false,1,"sonic rainboom","slap",'fly','bitch',"rainbow.png","rainbowb.png",168,13)
Pinkie=BasePoke:new(100,100,"Pinke Pie",false,false,1,"party cannon","slap",'fap','rape',"pinkie.png","pinkieb.png",154,12)
Fluttershy=BasePoke:new(100,100,"Fluttershy",false,false,1,"fly","shy",'flutter','shout',"fluttershy.png","fluttershyb.png",140,11)
Lawnboy=BasePoke:new(10000,10000,"Lawnboy",false,false,1,"rape","bitch",'permabanned','fap',"lawnboy.png","lawnboyb.png",126,10)
Saso=BasePoke:new(100,100,"Saso",false,false,1,"bitch","permabanned",'slap','fap',"saso.png","sasob.png",112,9)
Trosh=BasePoke:new(100,100,"Trosh",false,false,1,"fap","slap",'bitch','rape',"trosh.png","troshb.png",98,8)
Kyle=BasePoke:new(100,100,"Kyle Prior",false,false,1,"permabanned","slap",'party cannon','rape','kyle.png','kyleb.png',84,7)
Maurice=BasePoke:new(100,100,"Maurice",false,false,1,"bitch","fap",'sonic rainboom','rape','maurice.png','mauriceb.png',70,6)
Bitchachu=BasePoke:new(100,100,"Bitchachu",false,false,1,'bitch','slap','fap','rape','bitchachu.png','bitchachub.png',28,3)
Fapdos=BasePoke:new(100,100,"Fapdos",false,false,1,'fap','slap','bitch','party cannon','fapdos.png','fapdosb.png',42,4)
Thunderfapper=BasePoke:new(100,100,"Thunderflipper",false,false,1,'permabanned','slap','fap','rape','vagikarp.png','vagikarpb.png',56,5)
Vagikarp=BasePoke:new(100,100,"Vagikarp",false,false,1,'fap','slap','bitch','permabanned','vagikarp.png','vagikarpb.png',0,1)--"Sorry, you're a failure as a human, here, take this vagicarp"-camewel
Twattle=BasePoke:new(100,100,"Twattle",false,false,1,'fap','slap','party cannon','bitch','twattle.png','twattleb.png',14,2)
--CustomPoke=BasePoke:new(nil,nil,"Name",false,false,nil,'attack','attack','attack','attack','attack',pic.png','backpic.png',nil,nil)
